Websites
Transfer website ownership
POST
/api/websites/{websiteId}/transferTransfers the specified website to another user or team after checking permission for the destination.
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Path parameters
| Name | Type | Description |
|---|---|---|
| websiteIdrequired | string | ID of the website. |
Request body
| Name | Type | Description |
|---|---|---|
| teamId | string | ID of the associated team. |
| userId | string | ID of the associated user. |
Example request
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| createdAtrequired | string | Date and time the record was created. |
| createdByrequired | string | ID of the user who created the resource. |
| deletedAtrequired | string | Date and time the record was deleted, if applicable. |
| domainrequired | string | Domain name associated with the resource. |
| idrequired | string | Unique identifier of the resource. |
| namerequired | string | Display name of the resource. |
| recorderEnabledrequired | boolean | Whether recording is enabled for the website. |
| replayConfigrequired | anyOf | Session replay and heatmap recording configuration. |
| resetAtrequired | string | Date and time the website analytics were last reset. |
| teamIdrequired | string | ID of the associated team. |
| updatedAtrequired | string | Date and time the record was last updated. |
| userIdrequired | string | ID of the associated user. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL